<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (1.x)
 *   Plugin Disabling the collective blog (v.1.1.1)
 *   Copyright © 2011 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
  ---------------------------------------------------------
 */


class PluginDcb_ModuleUser extends PluginDcb_Inherit_ModuleUser
{

    public function Init()
    {
        parent::Init();
    }

    public function GetUsersRating($sType, $iPage, $iPerPage)
    {
        if (false === ($data = $this->Cache_Get("user_rating_{$sType}_{$iPage}_{$iPerPage}"))) {
            $aFilter = array(
                'activate' => '1',
            );
            $aOrder = array(
                'user_rating' => 'desc'
            );
            $data = array('collection' => $this->oMapper->GetUsersByFilter($aFilter, $aOrder, &$iCount, $iPage, $iPerPage), 'count' => $iCount);
            $this->Cache_Set($data, "user_rating_{$sType}_{$iPage}_{$iPerPage}", array("user_new", "user_update"), 60 * 60 * 24 * 2);
        }
        $data['collection'] = $this->GetUsersAdditionalData($data['collection']);
        return $data;
    }

}

?>
