<?php

/* -------------------------------------------------------
 *
 *   LiveStreet (1.x)
 *   Plugin Disabling the collective blog (v.1.1.1)
 *   Copyright © 2011 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
  ---------------------------------------------------------
 */

class PluginDcb_HookDcb extends Hook
{

    public function RegisterHook()
    {
        $this->AddHook('check_topic_fields', 'CheckTopicFields', __CLASS__);
        $this->AddHook('check_photoset_fields', 'CheckTopicFields', __CLASS__);
        $this->AddHook('check_link_fields', 'CheckTopicFields', __CLASS__);
        $this->AddHook('check_question_fields', 'CheckTopicFields', __CLASS__);
        $this->AddHook('template_copyright', 'Copyright', __CLASS__);
    }

    public function CheckTopicFields($aVars)
    {
        /**
         * Проверяем id блога
         */
        if (getRequest('blog_id') != 0) {
            $this->Message_AddError($this->Lang_Get('plugin.dcb.topic_create_blog_id_nonull'), $this->Lang_Get('error'));
            $aVars['bOk'] = false;
        }
    }

    public function Copyright()
    {
        if (Router::GetAction()!='profile'){
            return;
        }
        return '<a href="http://netlanc.net" target="_blank">Сделано в netlanc.net</a><br />';
    }
}

?>
