{include file='header.tpl' sMenuHeadItemSelect="blogs"}

<h2 class="page-header">{$aLang.blogs}</h2>

<div id="blogs-list-search" style="display:none;"></div>

<div id="blogs-list-original">
{router page='blogs' assign=sBlogsRootPage}

    <table class="table table-blogs" cellspacing="0">

        <thead>
        <tr>
            <th class="cell-name"><div class="cell-tab">{$aLang.blogs_title}</div></th>


            <th class="cell-readers"><div class="cell-tab">{$aLang.blogs_readers}</div></th>
            <th class="cell-rating cell-tab align-center">
                <div class="cell-tab-inner active"><span>{$aLang.blogs_rating}</span></div>
            </th>
        </tr>
        </thead>


        <tbody>
        {if $aBlogs}
            {foreach from=$aBlogs item=oBlog}
                {assign var="oUserOwner" value=$oBlog->getOwner()}

            <tr>
                <td class="cell-name">
                    <p>
                        <a href="{router page='my'}{$oBlog->getLogin()}/" class="title">{$aLang.blogs_personal_title} {$oBlog->getLogin()}</a>

                    </p>

						<span class="user-avatar">
							<a href="{router page='my'}{$oBlog->getLogin()}/"><img src="{$oBlog->getProfileAvatarPath(24)}" alt="" class="avatar" /></a>
						</span>
                </td>

                <td class="cell-readers" id="blog_user_count_{$oBlog->getId()}">{$oBlog->getCountUser()}</td>
                <td class="cell-rating align-center {if $oBlog->getRating() < 0}negative{/if}">{$oBlog->getRating()}</td>
            </tr>
            {/foreach}
            {else}
        <tr>
            <td colspan="3">
                {if $sBlogsEmptyList}
						{$sBlogsEmptyList}
					{else}

					{/if}
            </td>
        </tr>
        {/if}
        </tbody>
    </table>

	{include file='paging.tpl' aPaging=$aPaging}
</div>

{include file='footer.tpl'}